﻿/* Copyright (C) Microsoft Corporation. All rights reserved. */
var MS;
(function(MS) {
    (function(Entertainment) {
        (function(UI) {
            (function(Framework) {
                var FeatureEnablement = (function() {
                        function FeatureEnablement(){}
                        FeatureEnablement.prototype.isEnabled = function(featureItem) {
                            var featureEnablement = new Microsoft.Entertainment.FeatureEnablement.FeatureEnablement;
                            return featureEnablement.isEnabled(featureItem)
                        };
                        return FeatureEnablement
                    })();
                Framework.FeatureEnablement = FeatureEnablement;
                MS.Entertainment.ServiceLocator.register(MS.Entertainment.Services.featureEnablement, function FeatureEnablementFactory() {
                    return new MS.Entertainment.UI.Framework.FeatureEnablement
                })
            })(UI.Framework || (UI.Framework = {}));
            var Framework = UI.Framework
        })(Entertainment.UI || (Entertainment.UI = {}));
        var UI = Entertainment.UI
    })(MS.Entertainment || (MS.Entertainment = {}));
    var Entertainment = MS.Entertainment
})(MS || (MS = {}))
