﻿/* Copyright (C) Microsoft Corporation. All rights reserved. */
var MS;
(function(MS) {
    (function(Entertainment) {
        (function(Framework) {
            (function(ScriptUtilities) {
                function setOptions(target, options, setPublicMembersOnly) {
                    if (!target || !options || typeof options !== "object")
                        return;
                    Object.keys(options).forEach(function(key) {
                        var privateKey = "_" + key;
                        var value = options[key];
                        if (privateKey in target && !setPublicMembersOnly)
                            target[privateKey] = value;
                        else if (key in target)
                            target[key] = value
                    })
                }
                ScriptUtilities.setOptions = setOptions
            })(Framework.ScriptUtilities || (Framework.ScriptUtilities = {}));
            var ScriptUtilities = Framework.ScriptUtilities
        })(Entertainment.Framework || (Entertainment.Framework = {}));
        var Framework = Entertainment.Framework
    })(MS.Entertainment || (MS.Entertainment = {}));
    var Entertainment = MS.Entertainment
})(MS || (MS = {}))
