﻿/* Copyright (C) Microsoft Corporation. All rights reserved. */
scriptValidator();
(function() {
    "use strict";
    WinJS.Namespace.define("MS.Entertainment.ViewModels", {MusicMarketplaceTemplates: {
            albums: {
                templateUrl: "Components/Music/MusicSharedTemplates.html#verticalAlbumItemMarketplaceTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, panelTemplateUrl: "MS.Entertainment.Pages.MusicAlbumInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.marketplace}, emptyGalleryTemplate: "Controls/GalleryControl.html#listViewEmptyGalleryTemplate", selectionMode: MS.Entertainment.UI.Controls.GalleryControl.SelectionMode.multi, swipeBehavior: MS.Entertainment.UI.Controls.GalleryControl.swipeBehavior.select, selectionStyleFilled: true, maxSelectionCount: 100, allowEmpty: true, grouped: false, raisePanelResetEvents: true, backdropColor: "rgba(0, 0, 0, 0.12)", delayHydrateLibraryId: true
            }, tracks: {
                    templateUrl: "Components/Music/MusicSharedTemplates.html#verticalSongItemMarketplaceTemplate", actionTemplateUrl: "Components/Music/MusicCollectionTemplates.html#actionTemplate", showPlayAction: true, layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.inline, invokeHelperFactory: MS.Entertainment.UI.Controls.GalleryControlInvocationHelper.create, selectionMode: MS.Entertainment.UI.Controls.GalleryControl.SelectionMode.multi, swipeBehavior: MS.Entertainment.UI.Controls.GalleryControl.swipeBehavior.select, selectionStyleFilled: true, maxSelectionCount: 100, emptyGalleryTemplate: "Controls/GalleryControl.html#listViewEmptyGalleryTemplate", allowEmpty: true, forceInteractive: true, grouped: false, minimumListLength: 2, raisePanelResetEvents: true, backdropColor: "rgba(0, 0, 0, 0.12)", delayHydrateLibraryId: true
                }, artists: {
                    templateUrl: "Components/Music/MusicSharedTemplates.html#verticalArtistItemMarketplaceTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, panelTemplateUrl: "MS.Entertainment.Pages.MusicArtistInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.marketplace}, emptyGalleryTemplate: "Controls/GalleryControl.html#listViewEmptyGalleryTemplate", selectionMode: MS.Entertainment.UI.Controls.GalleryControl.SelectionMode.multi, swipeBehavior: MS.Entertainment.UI.Controls.GalleryControl.swipeBehavior.select, selectionStyleFilled: true, maxSelectionCount: 100, allowEmpty: true, grouped: false, raisePanelResetEvents: true, backdropColor: "rgba(0, 0, 0, 0.12)", delayHydrateLibraryId: true
                }, viewMoreAlbums: {
                    templateUrl: "Components/Music/MusicSharedTemplates.html#verticalAlbumItemMarketplaceTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, panelTemplateUrl: "MS.Entertainment.Pages.MusicAlbumInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.marketplace}, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.popOver, selectionMode: MS.Entertainment.UI.Controls.GalleryControl.SelectionMode.multi, swipeBehavior: MS.Entertainment.UI.Controls.GalleryControl.swipeBehavior.select, selectionStyleFilled: true, backdropColor: "transparent", raisePanelResetEvents: true, maxSelectionCount: 100, strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_ALBUM_0, singularName: String.id.IDS_MUSIC_TYPE_ALBUM_1, pluralName: String.id.IDS_MUSIC_TYPE_ALBUM_N, unknownCountName: String.id.IDS_MUSIC_TYPE_ALBUM_N
                        }, delayHydrateLibraryId: true
                }, viewMoreRelatedArtists: {
                    templateUrl: "Components/Music/MusicSharedTemplates.html#relatedArtistListTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, panelTemplateUrl: "MS.Entertainment.Pages.MusicArtistInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.marketplace}, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.popOver, selectionMode: MS.Entertainment.UI.Controls.GalleryControl.SelectionMode.multi, swipeBehavior: MS.Entertainment.UI.Controls.GalleryControl.swipeBehavior.select, selectionStyleFilled: true, backdropColor: "transparent", raisePanelResetEvents: true, maxSelectionCount: 100, strings: {countOnly: true}, delayHydrateLibraryId: true
                }, flexHub: {
                    layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, panelOptions: {location: MS.Entertainment.Data.ItemLocation.marketplace}, grouped: false, selectionStyleFilled: true, selectionMode: MS.Entertainment.UI.Controls.GalleryControl.SelectionMode.multi, swipeBehavior: MS.Entertainment.UI.Controls.GalleryControl.swipeBehavior.select, maxSelectionCount: 100, raisePanelResetEvents: true, backdropColor: "rgba(0, 0, 0, 0.12)", delayHydrateLibraryId: true
                }
        }})
})()
