﻿/* Copyright (C) Microsoft Corporation. All rights reserved. */
(function() {
    "use strict";
    scriptValidator("/Framework/corefx.js", "/Framework/utilities.js", "/Components/Playback/PlaybackEventNotifications.js");
    WinJS.Namespace.define("MS.Entertainment.UI.Controls", {NowPlayingPlaylistTemplates: {
            marketplaceNowPlaying: {
                itemTemplate: "Components/Music/MusicSharedTemplates.html#verticalSongItemNowPlayingTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, galleryClass: "verticalListHost verticalListGutter"
            }, snappedNowPlaying: {
                    itemTemplate: "Components/Music/MusicSharedTemplates.html#verticalSongItemNowPlayingTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, galleryClass: "verticalListHost"
                }, topSongs: {
                    itemTemplate: "Components/Music/MusicSharedTemplates.html#verticalTopSongItemMarketplaceWithoutAlbumArtTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, galleryClass: "verticalListHost verticalListGutter"
                }, nonMarketplaceNowPlaying: {
                    itemTemplate: "Components/Music/MusicSharedTemplates.html#verticalSongItemNonMarketplaceNowPlayingTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl.Layout.list, galleryClass: "verticalListHost verticalListGutter"
                }
        }});
    Object.defineProperty(MS.Entertainment.UI.Controls.NowPlayingPlaylistTemplates, "nowPlaying", {get: function() {
            var nowPlayingTemplate = MS.Entertainment.UI.Controls.NowPlayingPlaylistTemplates.marketplaceNowPlaying;
            var featureEnablement = new Microsoft.Entertainment.FeatureEnablement.FeatureEnablement;
            if (featureEnablement && !featureEnablement.isEnabled(Microsoft.Entertainment.FeatureEnablement.FeatureItem.musicMarketplace))
                nowPlayingTemplate = MS.Entertainment.UI.Controls.NowPlayingPlaylistTemplates.nonMarketplaceNowPlaying;
            return nowPlayingTemplate
        }})
})()
