﻿/* Copyright (C) Microsoft Corporation. All rights reserved. */
(function() {
    Microsoft.Xbox.XboxLIVEService.signInAsync().done(function signInSuccess() {
        var intervalId;
        var intervalCnt = 0;
        var closeTask = function() {
                var pushNotificationManager = Microsoft.Xbox.Foundation.PushNotificationManager;
                var channel = pushNotificationManager.applicationChannel;
                if (channel) {
                    if (intervalId)
                        clearInterval(intervalId);
                    setTimeout(function delay() {
                        close()
                    }, 15 * 1000)
                }
                else if (++intervalCnt > 3) {
                    if (intervalId)
                        clearInterval(intervalId);
                    close()
                }
            };
        intervalId = setInterval(closeTask, 5 * 1000)
    }, function signInError(err) {
        close()
    })
})()
