﻿/* Copyright (C) Microsoft Corporation. All rights reserved. */
scriptValidator();
(function() {
    "use strict";
    WinJS.Namespace.define("MS.Entertainment.ViewModels", {MusicCollectionTemplates: {
            albumsAlpha: {
                template: "/Components/Music/MusicCollectionTemplates.html#verticalAlbumItemAlphaSortTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleHeaderTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, panelTemplate: "MS.Entertainment.Pages.MusicAlbumInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, minimumListLength: 2, grouperItemThreshold: -1, grouped: true, groupHeaderPosition: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderPosition.left, grouperType: MS.Entertainment.UI.Controls.GalleryAlphaCharGrouper, grouperField: "sortName", forceInteractive: true, allowSelectAll: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                        emptyName: String.id.IDS_MUSIC_TYPE_ALBUM_0, singularName: String.id.IDS_MUSIC_TYPE_ALBUM_1, pluralName: String.id.IDS_MUSIC_TYPE_ALBUM_N
                    }
            }, albumsArtists: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalAlbumItemArtistNameSortTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleHeaderTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, panelTemplate: "MS.Entertainment.Pages.MusicAlbumInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, minimumListLength: 2, grouperItemThreshold: -1, grouped: true, groupHeaderPosition: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderPosition.left, grouperType: MS.Entertainment.UI.Controls.GalleryMediaItemSubGrouper, grouperField: "artistGroupId", grouperTitlePropertyName: "artist.name", grouperParentKeyPropertyName: "title", grouperKeyAsData: false, forceInteractive: true, allowSelectAll: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_ALBUM_0, singularName: String.id.IDS_MUSIC_TYPE_ALBUM_1, pluralName: String.id.IDS_MUSIC_TYPE_ALBUM_N
                        }
                }, albumsDateAdded: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalAlbumItemDateAddedSortTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, panelTemplate: "MS.Entertainment.Pages.MusicAlbumInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, minimumListLength: 2, grouperItemThreshold: -1, grouped: false, grouperType: MS.Entertainment.UI.Controls.GalleryTitleParentGrouper, grouperTitlePropertyName: "yearOrMonthAdded", grouperKeyAsData: false, forceInteractive: true, allowSelectAll: true, allowZoom: true, allowHeaders: false, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_ALBUM_0, singularName: String.id.IDS_MUSIC_TYPE_ALBUM_1, pluralName: String.id.IDS_MUSIC_TYPE_ALBUM_N
                        }
                }, albumsReleaseYear: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalAlbumItemReleaseYearSortTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleHeaderTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, panelTemplate: "MS.Entertainment.Pages.MusicAlbumInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, minimumListLength: 2, grouperItemThreshold: -1, grouped: true, groupHeaderPosition: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderPosition.left, grouperType: MS.Entertainment.UI.Controls.GalleryYearGrouper, grouperField: "releaseDate", forceInteractive: true, allowSelectAll: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_ALBUM_0, singularName: String.id.IDS_MUSIC_TYPE_ALBUM_1, pluralName: String.id.IDS_MUSIC_TYPE_ALBUM_N
                        }
                }, albumsGenre: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalAlbumItemGenreSortTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleHeaderTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, panelTemplate: "MS.Entertainment.Pages.MusicAlbumInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, grouped: true, groupHeaderPosition: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderPosition.left, grouperType: MS.Entertainment.UI.Controls.GalleryMediaItemGrouper, minimumListLength: 2, grouperItemThreshold: -1, grouperField: "genreGroupId", grouperTitlePropertyName: "genreName", grouperKeyAsData: false, hideShadow: true, forceInteractive: true, allowSelectAll: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_ALBUM_0, singularName: String.id.IDS_MUSIC_TYPE_ALBUM_1, pluralName: String.id.IDS_MUSIC_TYPE_ALBUM_N
                        }
                }, artists: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalArtistItemTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleHeaderTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, panelTemplate: "MS.Entertainment.Pages.MusicArtistInlineDetails", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, grouped: true, grouperType: MS.Entertainment.UI.Controls.GalleryAlphaCharGrouper, minimumListLength: 2, grouperItemThreshold: -1, grouperField: "sortName", hideShadow: true, forceInteractive: true, allowSelectAll: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_ARTIST_0, singularName: String.id.IDS_MUSIC_TYPE_ARTIST_1, pluralName: String.id.IDS_MUSIC_TYPE_ARTIST_N
                        }
                }, songsDateAdded: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalSongItemDateAddedSortTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", tap: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Tap.invokeOnly, layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.inline, invokeHelperFactory: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControlInvocationHelper.create, forceInteractive: true, minimumListLength: 2, grouperItemThreshold: -1, grouped: false, grouperType: MS.Entertainment.UI.Controls.GalleryTitleParentGrouper, grouperTitlePropertyName: "yearOrMonthAdded", grouperKeyAsData: false, hideShadow: true, allowZoom: true, allowHeaders: false, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_TRACK_0, singularName: String.id.IDS_MUSIC_TYPE_TRACK_1, pluralName: String.id.IDS_MUSIC_TYPE_TRACK_N
                        }
                }, songsAlpha: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalSongItemAlphaSortTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleHeaderTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", tap: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Tap.invokeOnly, layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.inline, invokeHelperFactory: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControlInvocationHelper.create, forceInteractive: true, grouperItemThreshold: -1, minimumListLength: 2, grouped: true, grouperType: MS.Entertainment.UI.Controls.GalleryAlphaCharGrouper, grouperField: "sortName", hideShadow: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_TRACK_0, singularName: String.id.IDS_MUSIC_TYPE_TRACK_1, pluralName: String.id.IDS_MUSIC_TYPE_TRACK_N
                        }
                }, songsGenre: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalSongItemGenreSortTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleHeaderTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", tap: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Tap.invokeOnly, layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.inline, invokeHelperFactory: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControlInvocationHelper.create, forceInteractive: true, grouped: true, grouperType: MS.Entertainment.UI.Controls.GalleryMediaItemGrouper, grouperField: "genreGroupId", grouperTitlePropertyName: "genreName", grouperKeyAsData: false, minimumListLength: 2, grouperItemThreshold: -1, hideShadow: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_TRACK_0, singularName: String.id.IDS_MUSIC_TYPE_TRACK_1, pluralName: String.id.IDS_MUSIC_TYPE_TRACK_N
                        }
                }, songsAlbum: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalSongItemAlbumNameSortTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#albumHeaderTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", tap: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Tap.invokeOnly, layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.inline, invokeHelperFactory: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControlInvocationHelper.create, forceInteractive: true, grouperItemThreshold: -1, minimumListLength: 2, grouped: true, grouperKeyAsData: false, grouperType: MS.Entertainment.UI.Controls.GalleryMediaItemSubGrouper, grouperField: "albumGroupId", grouperParentKeyPropertyName: "album.name", hideShadow: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_TRACK_0, singularName: String.id.IDS_MUSIC_TYPE_TRACK_1, pluralName: String.id.IDS_MUSIC_TYPE_TRACK_N
                        }
                }, songsArtist: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalSongItemArtistNameSortTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#artistHeaderTemplate", actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", tap: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Tap.invokeOnly, layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.inline, invokeHelperFactory: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControlInvocationHelper.create, forceInteractive: true, grouperItemThreshold: -1, minimumListLength: 2, grouped: true, grouperKeyAsData: false, grouperType: MS.Entertainment.UI.Controls.GalleryMediaItemSubGrouper, grouperField: "artistGroupId", grouperParentKeyPropertyName: "artist.name", hideShadow: true, allowZoom: true, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_TRACK_0, singularName: String.id.IDS_MUSIC_TYPE_TRACK_1, pluralName: String.id.IDS_MUSIC_TYPE_TRACK_N
                        }
                }, playlistEdited: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalPlaylistItemTemplate", panelTemplate: "MS.Entertainment.Pages.MusicPlaylistInlineDetails", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, getAppBarActions: function() {
                            return [MS.Entertainment.UI.AppBarActions.openFile, MS.Entertainment.UI.AppBarActions.importPlaylists]
                        }, actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, grouped: false, hideShadow: true, forceInteractive: true, allowSelectAll: true, minimumListLength: 2, grouperItemThreshold: -1, allowZoom: true, allowHeaders: false, grouperType: MS.Entertainment.UI.Controls.GalleryTitleParentGrouper, grouperTitlePropertyName: "yearOrMonthEdited", grouperKeyAsData: false, selectionHelperOptions: {allowShare: true}, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_PLAYLIST_0, singularName: String.id.IDS_MUSIC_TYPE_PLAYLIST_1, pluralName: String.id.IDS_MUSIC_TYPE_PLAYLIST_N
                        }
                }, playlistAdded: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalPlaylistItemTemplate", panelTemplate: "MS.Entertainment.Pages.MusicPlaylistInlineDetails", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, getAppBarActions: function() {
                            return [MS.Entertainment.UI.AppBarActions.openFile, MS.Entertainment.UI.AppBarActions.importPlaylists]
                        }, actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, grouped: false, hideShadow: true, forceInteractive: true, allowSelectAll: true, minimumListLength: 2, grouperItemThreshold: -1, grouperType: MS.Entertainment.UI.Controls.GalleryTitleParentGrouper, grouperTitlePropertyName: "yearOrMonthAdded", grouperKeyAsData: false, allowZoom: true, allowHeaders: false, selectionHelperOptions: {allowShare: true}, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_PLAYLIST_0, singularName: String.id.IDS_MUSIC_TYPE_PLAYLIST_1, pluralName: String.id.IDS_MUSIC_TYPE_PLAYLIST_N
                        }
                }, playlistAlpha: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalPlaylistItemTemplate", headerTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleHeaderTemplate", panelTemplate: "MS.Entertainment.Pages.MusicPlaylistInlineDetails", zoomedOutTemplate: "/Components/Music/MusicCollectionTemplates.html#simpleZoomedOutTemplate", panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, getAppBarActions: function() {
                            return [MS.Entertainment.UI.AppBarActions.openFile, MS.Entertainment.UI.AppBarActions.importPlaylists]
                        }, actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, grouperItemThreshold: -1, hideShadow: true, allowSelectAll: true, grouped: true, groupHeaderPosition: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderPosition.left, grouperType: MS.Entertainment.UI.Controls.GalleryAlphaCharGrouper, grouperField: "name", forceInteractive: true, minimumListLength: 2, allowZoom: true, selectionHelperOptions: {allowShare: true}, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_PLAYLIST_0, singularName: String.id.IDS_MUSIC_TYPE_PLAYLIST_1, pluralName: String.id.IDS_MUSIC_TYPE_PLAYLIST_N
                        }
                }, smartDJ: {
                    template: "/Components/Music/MusicCollectionTemplates.html#verticalSmartDJItemTemplate", tap: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Tap.invokeOnly, invokeBehavior: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.InvokeBehavior.inline, invokeHelperFactory: MS.Entertainment.UI.Controls.SmartDJGalleryControlInvocationHelper && MS.Entertainment.UI.Controls.SmartDJGalleryControlInvocationHelper.createSmartDJHelper, panelOptions: {location: MS.Entertainment.Data.ItemLocation.collection}, actionTemplate: "/Components/Music/MusicCollectionTemplates.html#actionTemplate", layout: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.Layout.list, headerType: MS.Entertainment.UI.Controls.GalleryControl && MS.Entertainment.UI.Controls.GalleryControl.HeaderType.inPlace, grouped: false, allowSelectAll: true, hideShadow: true, forceInteractive: true, minimumListLength: 0, selectionHelperOptions: {allowShare: false}, backdropColor: "rgba(0, 0, 0, 0.12)", strings: {
                            emptyName: String.id.IDS_MUSIC_TYPE_SMARTDJ_0, singularName: String.id.IDS_MUSIC_TYPE_SMARTDJ_1, pluralName: String.id.IDS_MUSIC_TYPE_SMARTDJ_N
                        }
                }
        }})
})()
